Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
htqk9

Nhờ Các Pro Edit Lisp Chuyển Các Đối Tượng Trong Block Về Layer 0

Các bài được khuyến nghị

Nhờ các pro thêm hộ mình vào lisp dòng chọn đối tượng theo p, c, w, l, cp, wp, all...thk so much

 

 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; ;;sua ma dxf block ;;Cu phap su dung (duy:block_s_dxf block mdxf thanh) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun block_s_dxf (blk mdxf thanh / e el name ob lname name mdxf thanh) (setq name (cdr (assoc 2 (entget blk)))) (if (not (member name lname)) (progn (setq lname (append lname (list name))) (setq e (cdr (assoc -2 (tblsearch "BLOCK" name)))) (while e (setq el (entget e)) (cond ((wcmatch (cdr (assoc 0 el)) "INSERT") (block_s_dxf e mdxf thanh) ) ) (setq Ent (subst (cons mdxf thanh) (assoc mdxf el) el)) (entmod ent) (setq e (entnext e)) );while );progn );if (command ".move" (ssget "x" (list (cons 0 "INSERT")(cons 2 name))) "" (list 0 0 0) (list 0 0 0)) ) (DEFUN C:dlb () (setq dttd (car(entsel "Chon BLOCK!"))) (block_s_dxf dttd 8 "0") (block_s_dxf dttd 62 256) )

Chỉnh sửa theo htqk9
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn đang làm 1 bài văn mà chủ đề chẳng ăn nhập gì với nội dung. Vậy nên theo chủ đề hay nội dung?

xin lỗi...mình hơi ẩu...

Tình hình là mình đang dùng lisp dlb của bạn Duy (dùng để chuyển các layer trong block về layer 0), lisp này rất tốt nhưng bị hạn chế là chỉ chọn được 1 đối tượng 1, không có chế độ select object nhiều đối tượng cùng lúc như lệnh thông thường (copy, move, rotate...)

Mình k biết gì về lisp lên mong bạn và các a e trên diễn đàn edit giúp mình

XIn chân thành cảm ơn!

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

xin lỗi...mình hơi ẩu...

Tình hình là mình đang dùng lisp dlb của bạn Duy (dùng để chuyển các layer trong block về layer 0), lisp này rất tốt nhưng bị hạn chế là chỉ chọn được 1 đối tượng 1, không có chế độ select object nhiều đối tượng cùng lúc như lệnh thông thường (copy, move, rotate...)

Mình k biết gì về lisp lên mong bạn và các a e trên diễn đàn edit giúp mình

XIn chân thành cảm ơn!

Hề hề hề,

Nếu muốn có chế độ chọn một lúc nhiều đối tượng thì bạn phải tạo thêm vòng lặp qua các đối tượng đó. chứ không phải đơn giản như bạn nghĩ. 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sau hơn 7 năm đăng ký thành viên, kết quả là con số 0.

Đối với những y/c sửa lisp như thế này, hay dễ hơn là biểu thị số lẻ thập phân, chỉ cần học không quá 7 ngày là làm được.

CADVIET bây giờ có quá nhiều mem đăng ký chỉ để xin chứ không chịu học hỏi gì cả.

Quá thất vọng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×